Skip to main content
POST
/
quantlib
/
physics
/
entropy
/
conditional
curl --request POST \ --url https://api.fincept.in/quantlib/physics/entropy/conditional \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "joint_prob": [ [ 0.35, 0.05, 0.05 ], [ 0.05, 0.3, 0.05 ], [ 0.05, 0.05, 0.05 ] ], "base": 2.718281828459045 } '
{
  "success": true,
  "data": {
    "conditional_entropy": 0.7854
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.fincept.in/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key at https://api.fincept.in/auth/register

Body

application/json
joint_prob
number[][]
required

Joint probability matrix P(X,Y) (must sum to 1)

Example:
[
  [0.3, 0.1, 0.05],
  [0.1, 0.25, 0.1],
  [0.05, 0.03, 0.02]
]
base
number
default:2.718281828459045

Logarithm base for entropy calculation

Example:

2.718281828459045

Response

Conditional entropy calculated successfully

success
boolean
Example:

true

data
object